package com.palmnest.application.dto.input.lingling;

import java.io.Serializable;

/**
 * @Author hxt
 * @Description 令令生成二维码qrcodeIns入参实体
 * @Date 2019/3/19 14:11
 **/
public class QrcodeInsInputDTO implements Serializable{
    private static final long serialVersionUID = -4190691846661889924L;

    private String name;// 访客姓名
    private String autoFloor;// 到访楼层 (必填)
    private String autoCompany;// 到访公司
    private String effective;// 二维码有效次数 (必填)
    private String endtime;// 二维码截止时间(毫秒级时间戳) (必填)
    private String telephone;// 访客手机号码 (必填)
    private String idenNumber;// 身份证号
    private String gender;// 性别
    private String birthday;// 出生日期
    private String censusAddr;// 户籍地址
    private String activeFrom;// 身份证有效起始时间(毫秒级时间戳)
    private String activeTo;// 身份证有效结束时间(毫秒级时间戳)
    private String headImgName;// 头像图片文件名
    private String snapshotImgName;// 抓怕图片文件名
    private String autoAim;// 到访目的 (必填)
    private String race;// 民族
    private String police;// 发证机关
    private String cardId;// 身份证卡 ID
    private String userId;// 用户 ID (必填)
    private String baseFlooId;// 最低楼层 (必填)
    
    private String AproveFrom;//访客来源 1. 有人访客机 2. 无人访客机3. 微信
    private Integer IDType;//证件类型
    private String remark;//备注
    private String orgId;//机构 id
    private String deviceCode;// 访客机串码，客户机的 MAC 地址
    private String ownerId;//被访人 ID
    private String ownerName;//被访人名称
    private String visitorNumber;//随访人数，默认 1
    
    private Integer orgnaisationId;//机构 id
    

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAutoFloor() {
        return autoFloor;
    }

    public void setAutoFloor(String autoFloor) {
        this.autoFloor = autoFloor;
    }

    public String getAutoCompany() {
        return autoCompany;
    }

    public void setAutoCompany(String autoCompany) {
        this.autoCompany = autoCompany;
    }

    public String getEffective() {
        return effective;
    }

    public void setEffective(String effective) {
        this.effective = effective;
    }

    public String getEndtime() {
        return endtime;
    }

    public void setEndtime(String endtime) {
        this.endtime = endtime;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getIdenNumber() {
        return idenNumber;
    }

    public void setIdenNumber(String idenNumber) {
        this.idenNumber = idenNumber;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getBirthday() {
        return birthday;
    }

    public void setBirthday(String birthday) {
        this.birthday = birthday;
    }

    public String getCensusAddr() {
        return censusAddr;
    }

    public void setCensusAddr(String censusAddr) {
        this.censusAddr = censusAddr;
    }

    public String getActiveFrom() {
        return activeFrom;
    }

    public void setActiveFrom(String activeFrom) {
        this.activeFrom = activeFrom;
    }

    public String getActiveTo() {
        return activeTo;
    }

    public void setActiveTo(String activeTo) {
        this.activeTo = activeTo;
    }

    public String getHeadImgName() {
        return headImgName;
    }

    public void setHeadImgName(String headImgName) {
        this.headImgName = headImgName;
    }

    public String getSnapshotImgName() {
        return snapshotImgName;
    }

    public void setSnapshotImgName(String snapshotImgName) {
        this.snapshotImgName = snapshotImgName;
    }

    public String getAutoAim() {
        return autoAim;
    }

    public void setAutoAim(String autoAim) {
        this.autoAim = autoAim;
    }

    public String getRace() {
        return race;
    }

    public void setRace(String race) {
        this.race = race;
    }

    public String getPolice() {
        return police;
    }

    public void setPolice(String police) {
        this.police = police;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getBaseFlooId() {
        return baseFlooId;
    }

    public void setBaseFlooId(String baseFlooId) {
        this.baseFlooId = baseFlooId;
    }

	public String getAproveFrom() {
		return AproveFrom;
	}

	public void setAproveFrom(String aproveFrom) {
		AproveFrom = aproveFrom;
	}

	public Integer getIDType() {
		return IDType;
	}

	public void setIDType(Integer iDType) {
		IDType = iDType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getDeviceCode() {
		return deviceCode;
	}

	public void setDeviceCode(String deviceCode) {
		this.deviceCode = deviceCode;
	}

	public String getOwnerId() {
		return ownerId;
	}

	public void setOwnerId(String ownerId) {
		this.ownerId = ownerId;
	}

	public String getOwnerName() {
		return ownerName;
	}

	public void setOwnerName(String ownerName) {
		this.ownerName = ownerName;
	}

	public String getVisitorNumber() {
		return visitorNumber;
	}

	public void setVisitorNumber(String visitorNumber) {
		this.visitorNumber = visitorNumber;
	}

	public Integer getOrgnaisationId() {
		return orgnaisationId;
	}

	public void setOrgnaisationId(Integer orgnaisationId) {
		this.orgnaisationId = orgnaisationId;
	}
    
    
}
